National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2020-5319 Detail

Current Description

Dell EMC Unity, Dell EMC Unity XT, and Dell EMC UnityVSA versions prior to 5.0.2.0.5.009 contain a Denial of Service vulnerability on NAS Server SSH implementation that is used to provide SFTP service on a NAS server. A remote unauthenticated attacker may potentially exploit this vulnerability and cause a Denial of Service (Storage Processor Panic) by sending an out of order SSH protocol sequence.

Source:  MITRE
View Analysis Description

Severity



CVSS 3.x Severity and Metrics:

NIST CVSS score matches with CNA score
CNA:  Dell
Base Score: 7.5 HIGH
Vector:  CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
https://www.dell.com/support/security/en-us/details/540336/DSA-2020-019-Dell-EMC-Unity-Family-Dell-EMC-Unity-XT-Family-Denial-of-Service-Vulnerability Vendor Advisory

Weakness Enumeration

CWE-ID CWE Name Source
CWE-129 Improper Validation of Array Index NIST   Dell  

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:a:dell:emc_unity_operating_environment:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
Up to (excluding)
5.0.2.0.5.009
 cpe:2.3:a:dell:emc_unity_xt_operating_environment:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
Up to (excluding)
5.0.2.0.5.009
 cpe:2.3:a:dell:emc_unityvsa_operating_environment:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
Up to (excluding)
5.0.2.0.5.009


Change History

1 change record found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2020-5319
NVD Published Date:
02/06/2020
NVD Last Modified:
02/12/2020